<?php

	// 設定項目
	$request_url = 'https://api.moves-app.com/api/v1/user/storyline/daily/20150710?trackPoints=true' ;	// リクエストURL
	$access_token = '' ;	// アクセストークン

	// リクエストURLにアクセストークンを結合
	$is_param = explode( '?' , $request_url ) ;
	$request_url .= ( ( isset( $is_param[1] ) && !empty( $is_param[1] ) ) ? '&' : '?' ) . 'access_token=' . $access_token ;
   
	// JSONデータを取得する
	$curl = curl_init() ;
	curl_setopt( $curl , CURLOPT_URL , $request_url ) ;
	curl_setopt( $curl , CURLOPT_HEADER, 1 ) ; 
	curl_setopt( $curl , CURLOPT_SSL_VERIFYPEER , false ) ;								// 証明書の検証を行わない
	curl_setopt( $curl , CURLOPT_RETURNTRANSFER , true ) ;								// curl_execの結果を文字列で返す
	curl_setopt( $curl , CURLOPT_TIMEOUT , 5 ) ;										// タイムアウトの秒数
	$res1 = curl_exec( $curl ) ;
	$res2 = curl_getinfo( $curl ) ;
	curl_close( $curl ) ;

	// 取得したデータ
	$json = substr( $res1, $res2['header_size'] ) ;										// 取得したデータ(JSONなど)
	$header = substr( $res1, 0, $res2['header_size'] ) ;								// レスポンスヘッダー (検証に利用したい場合にどうぞ)

	// オブジェクトに変換する
	$obj = json_decode( $json ) ;

	// 出力用の変数
	$html = '' ;	// HTML用
	$script = '' ;	// JavaScript用

	// エラー判定
	if( !$obj )
	{
		$html .= '<p>データを取得できませんでした…。</p>' ;
	}
	else
	{
		// 配列
		$points = array() ;

		// 地図キャンパス
		$html .= '<h2>行動地図</h2>' ;
		$html .= '<div style="height:0; width:100%; margin:0; padding-bottom:75%; position:relative; top:0; left:0;">' ;
		$html .= '<div id="map" style="width:100%; height:100%; margin:0; padding:0; position:absolute; top:0; left:0;"></div>' ;
		$html .= '</div>' ;

		// 全てのトラックポイントを取得していく
		foreach( $obj[0]->segments as $segments )
		{
			if( isset( $segments->activities ) )
			{
				foreach( $segments->activities as $activities )
				{
					if( isset( $activities->trackPoints ) )
					{
						foreach( $activities->trackPoints as $trackpoints )
						{
							$points[] = array( 'lat' => $trackpoints->lat , 'lng' => $trackpoints->lon ) ;
						}
					}
				}
			}
		}

		// 位置座標の整理
		$script .= 	'var latlngs = ' . json_encode( $points ) . ' ;' ;
		$script .= 	'var coords = [] ;' ;
		$script .= 	'for( var i=0 , l=latlngs.length ; l > i ; coords.push( new google.maps.LatLng( latlngs[i].lat, latlngs[i].lng ) ) , i++ ){}' ;

		// 地図の出力
		$script .= 	'var map = new google.maps.Map( document.getElementById("map") , { zoom: 10 , mapTypeId: google.maps.MapTypeId.ROADMAP , center: new google.maps.LatLng( ' . $trackpoints->lat . ' , ' . $trackpoints->lon . ' ) } ) ;' ;

		// ポリラインの出力
		$script .= 	'new google.maps.Polyline( { map: map , path: coords , strokeWeight: 5 , strokeColor: "#f00" , strokeOpacity: 0.75 , } ) ;' ;
	}

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>Moves APIで行動記録をGoogle Mapsに書き出すサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/moves-api-matome

	* 動作確認
	https://syncer.jp/moves-api-matome/demo/moves-idea-02.php

	* 最終更新日時
	2015/08/03 04:00

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/moves-api-matome">配布元: Syncer</a></p>




<!-- JavaScriptの読み込み -->
<script src="//maps.google.com/maps/api/js?sensor=false"></script>
<script><?php echo $script ?></script>




</body>
</html>
