<?php

	// 設定
	$client_id = '' ;				// クライアントID
	$client_secret = '' ;			// クライアントシークレット
	$refresh_token = '' ;			// リフレッシュトークン
//	$scope = 'activity location' ;	// 権限を変更する場合に指定する

	// リクエスト用のコンテキストを作成
	$context = array(
		'http' => array(
			'method' => 'POST' ,
			'content' => http_build_query( array(
				'grant_type' => 'refresh_token' ,
				"refresh_token" => $refresh_token ,
				'client_id' => $client_id ,
				'client_secret' => $client_secret ,
			) ) ,
		) ,
	) ;

	// スコープが指定されている場合
	if( isset($scope) && !empty($scope) )
	{
		$context['http']['content']['scope'] = $scope ;
	}

	// CURLを使ってリクエスト
	$curl = curl_init() ;

	// オプションのセット
	curl_setopt( $curl , CURLOPT_URL , 'https://api.moves-app.com/oauth/v1/access_token' ) ;
	curl_setopt( $curl , CURLOPT_HEADER, 1 ) ; 
	curl_setopt( $curl , CURLOPT_CUSTOMREQUEST , $context['http']['method'] ) ;			// メソッド
	curl_setopt( $curl , CURLOPT_SSL_VERIFYPEER , false ) ;								// 証明書の検証を行わない
	curl_setopt( $curl , CURLOPT_RETURNTRANSFER , true ) ;								// curl_execの結果を文字列で返す
	curl_setopt( $curl , CURLOPT_POSTFIELDS , $context['http']['content'] ) ;			// リクエストボディ
	curl_setopt( $curl , CURLOPT_TIMEOUT , 5 ) ;										// タイムアウトの秒数

	// 実行
	$res1 = curl_exec( $curl ) ;
	$res2 = curl_getinfo( $curl ) ;

	// 終了
	curl_close( $curl ) ;

	// 取得したデータ
	$json = substr( $res1, $res2['header_size'] ) ;										// 取得したデータ(JSONなど)
	$header = substr( $res1, 0, $res2['header_size'] ) ;								// レスポンスヘッダー (検証に利用したい場合にどうぞ)

	// オブジェクトに変換
	$obj = json_decode( $json ) ;

	// HTML用
	$html = '' ;

	// エラー判定
	if( !isset($obj->access_token) || !isset($obj->refresh_token) )
	{
		$html .= '<p>トークンを取得できませんでした…。</p>' ;
	}
	else
	{
		// トークン
		$access_token = $obj->access_token ;
		$refresh_token = $obj->refresh_token ;

		// 出力
		$html .= '<dl>' ;
		$html .= 	'<dt>新しいアクセストークン</dt>' ;
		$html .= 		'<dd>' . $access_token . '</dd>' ;
		$html .= 	'<dt>新しいリフレッシュトークン</dt>' ;
		$html .= 		'<dd>' . $refresh_token . '</dd>' ;
		$html .= '</dl>' ;
	}

	// 取得したデータ
	$html .= '<h2>取得したデータ</h2>' ;
	$html .= '<p>下記のデータを取得できました。</p>' ;
	$html .= 	'<h3>JSON</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $json . '</textarea></p>' ;
	$html .= 	'<h3>レスポンスヘッダー</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $header . '</textarea></p>' ;

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>Moves APIで、アクセストークンをリフレッシュするサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/moves-api-matome

	* 動作確認
	https://syncer.jp/moves-api-matome/demo/refresh-token.php

	* 最終更新日時
	2015/08/03 03:58

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/moves-api-matome">配布元: Syncer</a></p>






</body>
</html>
